OpenJPEG: jp2k_encoder.h File Reference

OpenJPEG 2.5.4

Functions
jp2k_encoder.h File Reference
`#include "byte_manager.h"`
`#include "msgqueue_manager.h"`

Go to the source code of this file.

## Functions
Byte_t * | recons_j2k (msgqueue_param_t *msgqueue, Byte_t *jpipstream, Byte8_t csn, int fw, int fh, Byte8_t *j2klen)
| reconstruct j2k codestream from message queue
Byte_t * | recons_jp2 (msgqueue_param_t *msgqueue, Byte_t *jpipstream, Byte8_t csn, Byte8_t *jp2len)
| reconstruct jp2 file codestream from message queue
Byte_t * | recons_j2kmainhead (msgqueue_param_t *msgqueue, Byte_t *jpipstream, Byte8_t csn, Byte8_t *j2klen)
| reconstruct j2k codestream of mainheader from message queue

## Function Documentation

## ◆ recons_j2k()

Byte_t * recons_j2k | ( | msgqueue_param_t * | msgqueue,
|  | Byte_t * | jpipstream,
|  | Byte8_t | csn,
|  | int | fw,
|  | int | fh,
|  | Byte8_t * | j2klen )

reconstruct j2k codestream from message queue

Parameters

  [in] | msgqueue | message queue pointer
  [in] | jpipstream | original jpt- jpp- stream
  [in] | csn | codestream number
  [in] | fw | reconstructing image frame width
  [in] | fh | reconstructing image frame height
  [out] | j2klen | pointer to the j2k codestream length

Returns
  generated reconstructed j2k codestream

References recons_codestream().

Referenced by decode_jpip(), and jpipstream_to_pnm().

## ◆ recons_j2kmainhead()

Byte_t * recons_j2kmainhead | ( | msgqueue_param_t * | msgqueue,
|  | Byte_t * | jpipstream,
|  | Byte8_t | csn,
|  | Byte8_t * | j2klen )

reconstruct j2k codestream of mainheader from message queue

Parameters

  [in] | msgqueue | message queue pointer
  [in] | jpipstream | original jpt- jpp- stream
  [in] | csn | codestream number
  [out] | j2klen | pointer to the j2k codestream length

Returns
  generated reconstructed j2k codestream

References add_mainhead_msgstream().

Referenced by get_SIZ_from_jpipstream().

## ◆ recons_jp2()

Byte_t * recons_jp2 | ( | msgqueue_param_t * | msgqueue,
|  | Byte_t * | jpipstream,
|  | Byte8_t | csn,
|  | Byte8_t * | jp2len )

reconstruct jp2 file codestream from message queue

Parameters

  [in] | msgqueue | message queue pointer
  [in] | jpipstream | original jpt- jpp- stream
  [in] | csn | codestream number
  [out] | jp2len | pointer to the jp2 codestream length

Returns
  generated reconstructed jp2 codestream

References add_emptyboxstream(), add_msgstream(), msgqueue_param::first, METADATA_MSG, message_param::next, opj_free(), placeholder_param::OrigBH, placeholder_param::OrigBHlen, message_param::phld, recons_codestream(), and search_message().

Referenced by decode_jpip(), and handle_JP2saveMSG().